USE [metrology_db]
GO

/****** Object:  Table [dbo].[Evidence]    Script Date: 15.11.2017 12:05:17 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Evidence](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[EvCislo] [nchar](10) NOT NULL,
	[InvCislo] [nchar](10) NULL,
	[VyrCislo] [nchar](10) NULL,
	[Vyrobce] [nchar](50) NULL,
	[Prislusenstvi] [nchar](50) NULL,
	[Cena] [float] NULL,
	[Nakup] [date] NULL,
	[Kategorie] [nchar](10) NULL,
	[Meridlo] [int] NULL,
	[Uzivatel] [int] NULL,
	[Misto] [int] NULL,
	[Kalibrace] [int] NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Evidence]  WITH CHECK ADD  CONSTRAINT [FK_Evidence_Kalibrace] FOREIGN KEY([Kalibrace])
REFERENCES [dbo].[Kalibrace] ([Id])
GO

ALTER TABLE [dbo].[Evidence] CHECK CONSTRAINT [FK_Evidence_Kalibrace]
GO

ALTER TABLE [dbo].[Evidence]  WITH CHECK ADD  CONSTRAINT [FK_Evidence_Meridlo] FOREIGN KEY([Meridlo])
REFERENCES [dbo].[Meridlo] ([Id])
GO

ALTER TABLE [dbo].[Evidence] CHECK CONSTRAINT [FK_Evidence_Meridlo]
GO

ALTER TABLE [dbo].[Evidence]  WITH CHECK ADD  CONSTRAINT [FK_Evidence_Misto] FOREIGN KEY([Misto])
REFERENCES [dbo].[Misto] ([Id])
GO

ALTER TABLE [dbo].[Evidence] CHECK CONSTRAINT [FK_Evidence_Misto]
GO

ALTER TABLE [dbo].[Evidence]  WITH CHECK ADD  CONSTRAINT [FK_Evidence_Uzivatel] FOREIGN KEY([Uzivatel])
REFERENCES [dbo].[Uzivatel] ([Id])
GO

ALTER TABLE [dbo].[Evidence] CHECK CONSTRAINT [FK_Evidence_Uzivatel]
GO


