USE [metrology_db]
GO

/****** Object:  Table [dbo].[Kalibrace]    Script Date: 15.11.2017 12:05:40 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Kalibrace](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[KalibList] [nvarchar](50) NULL,
	[Datum] [date] NULL,
	[Stav] [float] NULL,
	[Kalibroval] [int] NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Kalibrace]  WITH CHECK ADD  CONSTRAINT [FK_Kalibrace_Kontakt] FOREIGN KEY([Kalibroval])
REFERENCES [dbo].[Kontakt] ([Id])
GO

ALTER TABLE [dbo].[Kalibrace] CHECK CONSTRAINT [FK_Kalibrace_Kontakt]
GO


